=== src/game/unittests/CMakeLists.txt ===
add_subdirectory(gearboxtest)
