=== debian/changelog ===
dustrac (2.1.1-3) unstable; urgency=medium

  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Pass -DCMAKE_POLICY_VERSION_MINIMUM=3.5 to cmake so it builds with cmake 4
    (hoping that everything works properly). (Closes: #1112861)
  * Run xvfb-run with -a to reduce issues.
  * Switch the transitional pkg-config build dependency to pkgconf.

 -- Pino Toscano <pino@debian.org>  Tue, 07 Oct 2025 00:08:15 +0200

dustrac (2.1.1-2) unstable; urgency=medium

  * Add Vcs-* fields.
  * Add the configuration for the CI on salsa.
  * Mark the xauth, and xvfb build dependencies as <!nocheck>, as they are
    needed only when running the test suite.
  * Bump Standards-Version to 4.6.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 19 May 2022 10:45:00 +0200

dustrac (2.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Pass -DSystemFonts=ON to cmake to always rely on system fonts
    - drop the replacing of fonts with symlinks to system files
  * Update install files.
  * Stop forcing cmake as buildsystem, as the upstream "configure" script
    (that misled the dh autodetection) was removed.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Drop check for nocheck in $DEB_BUILD_OPTIONS, as debhelper in compatibility
    version 13 already skips it.

 -- Pino Toscano <pino@debian.org>  Mon, 01 Mar 2021 12:36:33 +0100
