=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	  -DCMAKE_POLICY_VERSION_MINIMUM=3.5 \
	  -DReleaseBuild=ON \
	  -DSystemFonts=ON \
	  -DBIN_PATH=/usr/games/ \
	  -DDOC_PATH=/usr/share/doc/dustracing2d/ \
	  -DDATA_PATH=/usr/share/games/dustracing2d/

override_dh_auto_test:
	xvfb-run -a dh_auto_test
