=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%DustRacing2D-$1.tar.gz%" \
https://github.com/juzzlin/DustRacing2D/tags \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
