## dustrac 2.2.0

=== debian/changelog ===
dustrac (2.2.0-1) unstable; urgency=medium

  * New upstream release:
    - test executables are generated within the build directory
      (Closes: #1044741)
  * Update the build dependencies following the port to Qt 6:
    - remove qtbase5-dev, libqt5opengl5-desktop-dev, and qttools5-dev
      (Closes: #888885)
    - add qt6-base-dev, and qt6-tools-dev
  * Update the other build dependencies according to the upstream build system:
    - bump cmake to 3.10
  * Update copyright.
  * Switch the runtime libqt5sql5-sqlite dependency to libqt6sql6-sqlite.
  * Bump Standards-Version to 4.7.3, no changes required.
  * Stop passing -DCMAKE_POLICY_VERSION_MINIMUM=3.5 to cmake, as the build
    system supports newer cmake versions.
  * Drop Priority: optional, no more needed since dpkg 1.22.13.

 -- Pino Toscano <pino@debian.org>  Sun, 08 Feb 2026 11:44:05 +0100
