=== debian/control ===
--- 
+++ 
@@ -1,18 +1,16 @@
 Source: dustrac
 Section: games
-Priority: optional
 Maintainer: Pino Toscano <pino@debian.org>
 Build-Depends: debhelper-compat (= 13),
- cmake (>= 3.1),
+ cmake (>= 3.10~),
  pkgconf,
- qtbase5-dev (>= 5.4.0~),
- libqt5opengl5-desktop-dev (>= 5.4.0~),
- qttools5-dev (>= 5.4.0~),
+ qt6-base-dev (>= 6.4.0~),
+ qt6-tools-dev (>= 6.4.0~),
  libopenal-dev,
  libvorbis-dev,
  xauth <!nocheck>,
  xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://juzzlin.github.io/DustRacing2D/
 Vcs-Browser: https://salsa.debian.org/pino/dustrac
 Vcs-Git: https://salsa.debian.org/pino/dustrac.git
@@ -21,7 +19,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
  dustracing2d-data (>= ${source:Version}),
- libqt5sql5-sqlite,
+ libqt6sql6-sqlite,
 Description: tile-based 2D racing game
  Dust Racing (Dustrac) is a tile-based, cross-platform 2D racing game.
  .
