=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,6 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-	  -DCMAKE_POLICY_VERSION_MINIMUM=3.5 \
 	  -DReleaseBuild=ON \
 	  -DSystemFonts=ON \
 	  -DBIN_PATH=/usr/games/ \
